Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1893846 - [abrt] libreoffice-core: (anonymous namespace)::signalHandlerFunction(): soffice.bin killed by SIGABRT
Summary: [abrt] libreoffice-core: (anonymous namespace)::signalHandlerFunction(): soff...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ae8f4d8c905ee1de17066db596b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-02 19:06 UTC by Anastasia
Modified: 2020-11-12 03:15 UTC (History)
4 users (show)

Fixed In Version: libreoffice-6.4.7.2-3.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-12 03:15:28 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (65.43 KB, text/plain)
2020-11-02 19:06 UTC, Anastasia
no flags Details
File: core_backtrace (19.19 KB, text/plain)
2020-11-02 19:06 UTC, Anastasia
no flags Details
File: cpuinfo (2.66 KB, text/plain)
2020-11-02 19:06 UTC, Anastasia
no flags Details
File: dso_list (25.38 KB, text/plain)
2020-11-02 19:06 UTC, Anastasia
no flags Details
File: environ (1.92 KB, text/plain)
2020-11-02 19:06 UTC, Anastasia
no flags Details
File: limits (1.29 KB, text/plain)
2020-11-02 19:06 UTC, Anastasia
no flags Details
File: maps (150.75 KB, text/plain)
2020-11-02 19:06 UTC, Anastasia
no flags Details
File: mountinfo (2.66 KB, text/plain)
2020-11-02 19:06 UTC, Anastasia
no flags Details
File: open_fds (1.32 KB, text/plain)
2020-11-02 19:06 UTC, Anastasia
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2020-11-02 19:06 UTC, Anastasia
no flags Details

Description Anastasia 2020-11-02 19:06:12 UTC
Description of problem:
opening the libreoffice writer program

Version-Release number of selected component:
1:libreoffice-core-6.4.7.2-1.fc32

Additional info:
reporter:       libreport-2.13.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/session-2.scope
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///home/anastasia/%D0%A0%D0%B0%D0%B1%D0%BE%D1%87%D0%B8%D0%B9%20%D1%81%D1%82%D0%BE%D0%BB/%D0%B2%D0%B2%D0%BE%D0%B4%D0%BD%D1%8B%D0%B9%20%D1%82%D1%80%D0%B5%D0%BD%D0%B8%D0%BD%D0%B3.dotx --splash-pipe=6
crash_function: (anonymous namespace)::signalHandlerFunction
executable:     /usr/lib64/libreoffice/program/soffice.bin
journald_cursor: s=7ea436816c7046e08c6045e6b8910a91;i=730a;b=a4d6418c116e4d26813285630952b32c;m=245e8cd95;t=5b322b68cedb0;x=13f4867ea3f81c6e
kernel:         5.8.16-200.fc32.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
xsession_errors:

Comment 1 Anastasia 2020-11-02 19:06:18 UTC
Created attachment 1725966 [details]
File: backtrace

Comment 2 Anastasia 2020-11-02 19:06:20 UTC
Created attachment 1725967 [details]
File: core_backtrace

Comment 3 Anastasia 2020-11-02 19:06:22 UTC
Created attachment 1725968 [details]
File: cpuinfo

Comment 4 Anastasia 2020-11-02 19:06:24 UTC
Created attachment 1725969 [details]
File: dso_list

Comment 5 Anastasia 2020-11-02 19:06:26 UTC
Created attachment 1725970 [details]
File: environ

Comment 6 Anastasia 2020-11-02 19:06:27 UTC
Created attachment 1725971 [details]
File: limits

Comment 7 Anastasia 2020-11-02 19:06:32 UTC
Created attachment 1725972 [details]
File: maps

Comment 8 Anastasia 2020-11-02 19:06:35 UTC
Created attachment 1725973 [details]
File: mountinfo

Comment 9 Anastasia 2020-11-02 19:06:37 UTC
Created attachment 1725974 [details]
File: open_fds

Comment 10 Anastasia 2020-11-02 19:06:39 UTC
Created attachment 1725975 [details]
File: proc_pid_status

Comment 11 Caolan McNamara 2020-11-02 19:23:29 UTC
This must be with some floating/modeless dialog, Insert Index or something like that, open when writer was last closed, so when it reopens it tries to restore that dialog but on restoration there is no cursor so it crashes

Comment 12 Fedora Update System 2020-11-03 09:09:57 UTC
FEDORA-2020-d7fbe9c749 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d7fbe9c749

Comment 13 Fedora Update System 2020-11-04 02:46:14 UTC
FEDORA-2020-d7fbe9c749 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d7fbe9c749`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d7fbe9c749

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-11-12 03:15:28 UTC
FEDORA-2020-d7fbe9c749 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.